import { BaseXform } from "../base-xform.js";
interface VmlNotesModel {
    comments: any[];
}
declare class VmlNotesXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    model: VmlNotesModel;
    constructor();
    get tag(): string;
    render(xmlStream: any, model?: VmlNotesModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    reconcile(model: any, options: any): void;
    static DRAWING_ATTRIBUTES: {
        "xmlns:v": string;
        "xmlns:o": string;
        "xmlns:x": string;
    };
}
export { VmlNotesXform };
